DefaultAcceptHeaderParser (Grails 6.0.0)

Package: org.grails.web.mime

## [Groovy] Class DefaultAcceptHeaderParser

- org.grails.web.mime.DefaultAcceptHeaderParser

- All Implemented Interfaces and Traits:
    AcceptHeaderParser

      @groovy.transform.CompileStatic
      class DefaultAcceptHeaderParser
      extends java.lang.Object
      implements AcceptHeaderParser

  Parsed the HTTP accept header into a a list of MimeType instances in the order of priority. Priority is dictated by the order of the mime entries and the associated q parameter. The higher the q parameter the higher the priority.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static org.apache.commons.logging.Log` | `LOG` |
    `private MimeType[]` | `configuredMimeTypes` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static org.apache.commons.logging.Log` | `LOG`
    `MimeType[]` | `configuredMimeTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultAcceptHeaderParser ()`
    `DefaultAcceptHeaderParser (MimeType[] configuredMimeTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `createMimeTypeAndAddToList(java.lang.String name, MimeType[] mimeConfig, java.util.List<MimeType> mimes, java.util.Map<java.lang.String, java.lang.String> params)`
    `` | `MimeType[]` | `parse(java.lang.String header, MimeType fallbackMimeType)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final org.apache.commons.logging.Log LOG

    - #### private MimeType[] configuredMimeTypes

  - ### Property Detail

    - #### static final org.apache.commons.logging.Log LOG

    - #### MimeType[] configuredMimeTypes

  - ### Constructor Detail

    - #### DefaultAcceptHeaderParser()

    - #### DefaultAcceptHeaderParser(MimeType[] configuredMimeTypes)

  - ### Method Detail

    - #### protected void createMimeTypeAndAddToList(java.lang.String name, MimeType[] mimeConfig, java.util.List<MimeType> mimes, java.util.Map<java.lang.String, java.lang.String> params)

    - #### MimeType[] parse(java.lang.String header, MimeType fallbackMimeType)